Bug 478444 - Hard Hanging During Threading and IO Features of the Java Runtime Stress Testing
Hard Hanging During Threading and IO Features of the Java Runtime Stress Testing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Chao Yang
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 02:02 EST by CAI Qian
Modified: 2013-07-03 08:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CAI Qian 2008-12-30 02:02:45 EST
Description of problem:
It has been observed that running RHTS /distribution/java/threadsandIO test case will hang an x86_64 system,

dell-pe1800-01.rhts.bos.redhat.com

and possible an IA-64 machine nec-nx2-1.rhts.bos.redhat.com. As a result, the system was not even responded to "ping".

ping dell-pe1800-01.rhts.bos.redhat.com
PING dell-pe1800-01.rhts.bos.redhat.com (10.16.65.248) 56(84) bytes of data.
^C
--- dell-pe1800-01.rhts.bos.redhat.com ping statistics ---
14 packets transmitted, 0 received, 100% packet loss, time 13356ms

Some task information captured during the hanging,

# echo t >/proc/sysrq-trigger
...
gij           D 000001000104c7e0     0  4892   4823          4893  4891 (NOTLB)
000001012e485b48 0000000000000002 000001012c78fa40 0000001900000079 
       000001012ebd2030 0000000000000079 000001000104da40 0000000100000f9c 
       000001012e4e8030 0000000000c29949 
Call Trace:<ffffffff802547e2>{__generic_unplug_device+19} <ffffffff80318c7a>{io_schedule+38} 
       <ffffffff8015ba40>{wait_on_page_bit+180} <ffffffff8015b8e6>{page_wake_function+0} 
       <ffffffff8015b8e6>{page_wake_function+0} <ffffffff801664a9>{truncate_inode_pages+539} 
       <ffffffff8018016c>{__getblk+43} <ffffffff8016b951>{unmap_mapping_range+339} 
       <ffffffff8016b9a8>{vmtruncate+78} <ffffffff80195d91>{inode_setattr+54} 
       <ffffffffa008ac04>{:ext3:ext3_setattr+408} <ffffffff801960cc>{notify_change+371} 
       <ffffffff8017a342>{do_truncate+92} <ffffffff8018868e>{get_write_access+62} 
       <ffffffff8018a5de>{may_open+489} <ffffffff8018a941>{open_namei+779} 
       <ffffffff8017b22c>{filp_open+69} <ffffffff80191fba>{dput+189} 
       <ffffffff801f1b75>{strncpy_from_user+74} <ffffffff8017b435>{sys_open+57} 
       <ffffffff801102f6>{system_call+126} 
gij           D 000001000104c7e0     0  4893   4823          4894  4892 (NOTLB)
000001012e487b48 0000000000000002 000001012c78fa40 0000001900000076 
       000001012edd17f0 0000000000000076 000001000104da40 0000000100000246 
       000001012e5aa7f0 000000000028caee 
Call Trace:<ffffffff802547e2>{__generic_unplug_device+19} <ffffffff80318c7a>{io_schedule+38} 
       <ffffffff8015ba40>{wait_on_page_bit+180} <ffffffff8015b8e6>{page_wake_function+0} 
       <ffffffff8015b8e6>{page_wake_function+0} <ffffffff801664a9>{truncate_inode_pages+539} 
       <ffffffff8018016c>{__getblk+43} <ffffffff8016b951>{unmap_mapping_range+339} 
       <ffffffff8016b9a8>{vmtruncate+78} <ffffffff80195d91>{inode_setattr+54} 
       <ffffffffa008ac04>{:ext3:ext3_setattr+408} <ffffffff801960cc>{notify_change+371} 
       <ffffffff8017a342>{do_truncate+92} <ffffffff8018868e>{get_write_access+62} 
       <ffffffff8018a5de>{may_open+489} <ffffffff8018a941>{open_namei+779} 
       <ffffffff8017b22c>{filp_open+69} <ffffffff80191fba>{dput+189} 
       <ffffffff801f1b75>{strncpy_from_user+74} <ffffffff8017b435>{sys_open+57} 
       <ffffffff801102f6>{system_call+126} 
gij           R  running task       0  4894   4823          4895  4893 (NOTLB)
gij           D 00000100010447e0     0  4895   4823          4896  4894 (NOTLB)
000001012e4f7b48 0000000000000002 000001012c78fa40 0000001900000079 
       000001012e80a030 0000000000000079 0000010001045a40 0000000000000f9c 
       000001012e4e07f0 000000000042ba55 
Call Trace:<ffffffff802547e2>{__generic_unplug_device+19} -------

Version-Release number of selected component (if applicable):
kernel-2.6.9-78.el5
kernel-2.6.9-78.0.12.el5

How reproducible:
always

Steps to Reproduce:
1. reserve dell-pe1800-01.rhts.bos.redhat.com from RHTS.
2. yum -y install rhts-rh-tests-distribution-java-threadsandIO-tests
3. cd /mnt/tests/distribution/java/threadsandIO/
4. make run
  
Actual results:
The system hangs.

Expected results:
The test should pass like on other machines.
Comment 3 Shyam Iyer 2010-05-20 15:43:40 EDT
Is this the case with every PE1800 or just this one..
Comment 4 CAI Qian 2010-05-22 12:09:19 EDT
Tested it in one system here.
Comment 6 Jiri Pallich 2012-06-20 11:58:35 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.